Bug 1270540 - I can put fedora 23 beta (is updated) to sleep mode and then wake up it, but if I put it to sleep again, It will not sleep.
I can put fedora 23 beta (is updated) to sleep mode and then wake up it, but ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 17:52 EDT by Nima
Modified: 2018-04-06 13:58 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-06 13:58:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'dmesg' output after the failed 'echo mem > /sys/power/state' (160.65 KB, text/plain)
2015-10-14 05:24 EDT, Nima
no flags Details

  None (edit)
Description Nima 2015-10-10 17:52:34 EDT
Description of problem:

I can put fedora 23 beta (is updated) to sleep mode and then wake up it, but if I put it to sleep again, It will not sleep.

Version-Release number of selected component (if applicable):

Fedora 23 beta (is updated)


How reproducible:


Steps to Reproduce:
1.close laptop lid
2.open laptop lid
3.close laptop lid
4. It will not sleep
Actual results:


Expected results:


Additional info:
I am using chrome book c720 (i3 + 4GB)
Comment 1 Vasant Hegde 2015-10-12 00:35:08 EDT
This doesn't belongs to my area.. I've no idea about Power Management subsystem..

Please assign this to someone else.

-Vasant
Comment 2 Jaromír Cápík 2015-10-12 14:19:51 EDT
The 'powermanga' component is a 2D shoot'em-up game. You probably wanted to change the component to 'pm-utils'.
Comment 3 Jaroslav Škarvada 2015-10-13 06:05:23 EDT
Pm-utils are deprecated in f23+ and the functionality is handled by systemd. But it maybe also kernel problem. Could you check suspending the following way:

# systemctl suspend

and

# echo mem > /sys/power/state
Comment 4 Nima 2015-10-14 04:31:55 EDT
systemctl suspend
sudo su 
echo mem > /sys/power/state
bash: echo: write error: Device or resource busy

systemctl suspend

A dependency job for suspend.target failed. See 'journalctl -xe' for details.

exit 
systemctl suspend

Here the screen went black but the system was ON

:)
Comment 5 Jaroslav Škarvada 2015-10-14 05:02:02 EDT
(In reply to Nima from comment #4)
> echo mem > /sys/power/state
> bash: echo: write error: Device or resource busy
> 
It shouldn't do this. I guess there is some driver/module blocking the suspend. Reassigning to kernel for further investigation. I think 'dmesg' output after the failed 'echo mem > /sys/power/state' would be useful too.
Comment 6 Nima 2015-10-14 05:24 EDT
Created attachment 1082753 [details]
'dmesg' output after the failed 'echo mem > /sys/power/state'
Comment 7 Jaroslav Škarvada 2015-10-14 05:43:27 EDT
(In reply to Nima from comment #6)
> Created attachment 1082753 [details]
> 'dmesg' output after the failed 'echo mem > /sys/power/state'

usb usb3-port1: over-current condition

Strange, is it something connected to the port? It seems the power consumption from the USB port is over the limit. If there is nothing connected it can be bug in the driver.
Comment 8 Nima 2015-10-14 05:49:25 EDT
Noting is connected. 
Also I should mention that I installed 'tuned', and also the problem was before 'tuned'.
Comment 9 Jaroslav Škarvada 2015-10-14 05:52:55 EDT
(In reply to Nima from comment #8)
> Noting is connected. 
> Also I should mention that I installed 'tuned', and also the problem was
> before 'tuned'.

Ok, thanks for info. Looks like kernel problem. I cannot do more here, let's wait for kernel maintainers.
Comment 10 Nima 2015-10-14 06:04:58 EDT
Thank you :-)

I shold mention that also I can not PowerOff and I have to hold the power button.
Comment 11 Laura Abbott 2018-04-06 13:58:23 EDT
Doing some pruning, this bug looks to be years old. Please test on a newer kernel and reopen if the problem still exists.

Note You need to log in before you can comment on or make changes to this bug.